//
//  ViewController.swift
//  Javascript
//
//  Created by Mark Meretzky on 1/22/15.
//  Copyright (c) 2015 Mark Meretzky. All rights reserved.
//

import UIKit;

class ViewController: UIViewController, UIWebViewDelegate {

	override func viewDidLoad() {
		super.viewDidLoad();
		// Do any additional setup after loading the view, typically from a nib.
		let webView: UIWebView = view as UIWebView;
		webView.delegate = self;

		let bundle: NSBundle = NSBundle.mainBundle();
		let filename: String? = bundle.pathForResource("javascript", ofType: "html");

		if filename == nil {
			webView.loadHTMLString("could not find file javascript.html", baseURL: nil);
		} else {
			let data: NSData? = NSData(contentsOfFile: filename!);
			if data == nil {
				webView.loadHTMLString("could not load file javascript.html", baseURL: nil);
			} else {
				webView.loadData(data,
					MIMEType: "text/html",
					textEncodingName: "utf-8",
					baseURL: NSURL(string:"http://maps.google.com/"));
			}
		}
		
		self.view = webView;
	}
	
	func webViewDidFinishLoad(webView: UIWebView) {
	
		let javascript: String = String(format: "showmap(%.15g, %.15g, %d);",
			//163 William Street, New York, NY
			40.7101843,    //latitude (north of equator is positive)
			-74.0061474,   //longitude (west of Greenwich is negative)
			18);           //zoom level
		
		println("javaScript = \"\(javascript)\"");
	
		let retval: String? = webView.stringByEvaluatingJavaScriptFromString(javascript);
		if retval == nil {
			println("stringByEvaluatingJavaScriptFromString failed");
		} else {
			println("retval! = \(retval!)");
			let n: Int? = retval!.toInt();
			if n == nil {
				println("retval! \(retval!) is not an Int");
			} else {
				println("n! = \(n!)");
			}
		}
	}

	override func didReceiveMemoryWarning() {
		super.didReceiveMemoryWarning();
		// Dispose of any resources that can be recreated.
	}


}

